Summary:	SQLite v2 database bindings for PHP
Name:		php-sqlite
Version:	1.0.3
Release:	%mkrel 7
Group:		Development/PHP
License:	PHP License
URL:		http://www.php.net
Source0:	sqlite.tar.gz
Patch0:		php-really_external_sqlite2.diff
Patch1:		sqlite-php54x.diff
Requires:	php-pdo
BuildRequires:	php-devel
BuildRequires:	sqlite-devel
Epoch: 4

%description
This is an extension for the SQLite Embeddable SQL Database Engine. SQLite is a
C library that implements an embeddable SQL database engine. Programs that link
with the SQLite library can have SQL database access without running a separate
RDBMS process.

SQLite is not a client library used to connect to a big database server. SQLite
is the server. The SQLite library reads and writes directly to and from the
database files on disk.

%prep

%setup -q -n sqlite
%patch0 -p0
%patch1 -p1

%build
%serverbuild

# it does not work with -fPIE and someone added that to the serverbuild macro...
CFLAGS=`echo $CFLAGS|sed -e 's|-fPIE||g'`
CXXFLAGS=`echo $CXXFLAGS|sed -e 's|-fPIE||g'`

#export CFLAGS="`echo ${CFLAGS} | sed s/O2/O0/` -fPIC -L%{_libdir} -fno-strict-aliasing"
export CFLAGS="${CFLAGS} -fPIC -L%{_libdir} -fno-strict-aliasing"
export CXXFLAGS="${CFLAGS}"
export RPM_OPT_FLAGS="${CFLAGS}"

SAFE_LDFLAGS=`echo %{ldflags}|sed -e 's|-Wl,--no-undefined||g'`
export LDFLAGS="$SAFE_LDFLAGS"

phpize

./configure \
    --build=%{_build} \
    --prefix=%{_prefix} \
    --exec-prefix=%{_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --localstatedir=/var/lib \
    --mandir=%{_mandir} \
    --enable-shared=yes \
    --enable-static=no \
    --with-libdir=%{_lib} \
    --with-sqlite=shared,%{_prefix}

%make

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/sqlite.so %{buildroot}%{_libdir}/php/extensions/

echo "extension = sqlite.so"		> %{buildroot}%{_sysconfdir}/php.d/78_sqlite.ini

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%files
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/78_sqlite.ini
%attr(0755,root,root) %{_libdir}/php/extensions/sqlite.so



%changelog
* Fri Feb 12 2016 umeabot <umeabot> 4:1.0.3-7.mga6
+ Revision: 958440
- Mageia 6 Mass Rebuild

  + oden <oden>
    - rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4:1.0.3-5.mga5
+ Revision: 748721
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4:1.0.3-4.mga5
+ Revision: 687547
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 4:1.0.3-3.mga5
+ Revision: 616586
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 4:1.0.3-2.mga4
+ Revision: 567662
- Rebuild for new PHP

* Thu Dec 19 2013 oden <oden> 4:1.0.3-1.mga4
+ Revision: 558844
- imported package php-sqlite


* Thu Dec 19 2013 Oden Eriksson <oeriksson@mandriva.com> 4:5.3.28-0.1mdvmes5.2
- initial php-5.5 package for mbs1, based on the sqlite extension from php-5.3.x
